Bug 127030 - Classical shapes with text loose their height on roundtrip with pptx
Summary: Classical shapes with text loose their height on roundtrip with pptx
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Balázs Varga
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisected, bisected, filter:pptx, regression
Depends on:
Blocks:
 
Reported: 2019-08-19 14:37 UTC by Regina Henschel
Modified: 2019-09-17 13:30 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file with classical shapes (13.71 KB, application/vnd.oasis.opendocument.presentation)
2019-08-19 14:37 UTC, Regina Henschel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2019-08-19 14:37:46 UTC
Created attachment 153510 [details]
Test file with classical shapes

Open attached document and save it in pptx format. Open the pptx file. Notice, that the shapes have a wrong height. It only happens to classical shapes, not to custom shapes or text boxes.

I don't know yet, where the error happens. It might be, that they need an explicit a:noAutoFit on export, or it might be, that we use a wrong default on import.

[The fact, that the arc becomes a circle is a different error, on which I'm currently working.]
Comment 1 raal 2019-08-20 05:54:18 UTC
I can confirm with Version: 6.4.0.0.alpha0+
Build ID: 35b41150e84940e87b9d961b6b402e3e060d6b8b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 

but not in Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)
Comment 2 raal 2019-08-20 06:10:32 UTC
This seems to have begun at the below commit.
Adding Cc: to Balazs Varga ; Could you possibly take a look at this one?
Thanks
b49c6d1d166f365dd940a0b0034d2b40705b0815 is the first bad commit
commit b49c6d1d166f365dd940a0b0034d2b40705b0815
Author: Jenkins Build User <tdf@pollux.tdf>
Date:   Tue Sep 11 10:30:40 2018 +0200

    source sha:86b14cc8bd910651cef422a0f7408adc0fc51a17

author	Balazs Varga <balazs.varga991@gmail.com>	2018-09-05 15:07:48 +0200
committer	László Németh <nemeth@numbertext.org>	2018-09-11 09:55:39 +0200
commit	86b14cc8bd910651cef422a0f7408adc0fc51a17 (patch)
tree	91ca58c7a4af3362d4fa6c24678146f908667eaf
parent	934735795dbddf074c85ae2a9d5d2b358d65e403 (diff)
tdf#119617 Fix export of Autofit property of shapes to PPTX
Comment 3 Gabor Kelemen (allotropia) 2019-08-21 07:11:56 UTC
Hi Regina

Could you please tell us how is it possible to create such a legacy shape in Impress?
Comment 4 Regina Henschel 2019-08-21 10:40:12 UTC
You will find the toolbars "Legacy Rectangles" and "Legacy Circles and Ovals" in menu View > Toolbars. The legacy 'arc' is contained too in the "Basic Shapes" group of the custom shapes. If you use an older version it might be, that you have to customize your UI to get them. The corresponding commands are ".uno:RectangleToolbox" and ".uno:EllipseToolbox". (uno commands are shown in the Description field in Customize dialog, if you have set the environment variable HELP_DEBUG=1)
Comment 5 Balázs Varga 2019-08-21 13:12:27 UTC
(In reply to Regina Henschel from comment #4)
> You will find the toolbars "Legacy Rectangles" and "Legacy Circles and
> Ovals" in menu View > Toolbars. The legacy 'arc' is contained too in the
> "Basic Shapes" group of the custom shapes. If you use an older version it
> might be, that you have to customize your UI to get them. The corresponding
> commands are ".uno:RectangleToolbox" and ".uno:EllipseToolbox". (uno
> commands are shown in the Description field in Customize dialog, if you have
> set the environment variable HELP_DEBUG=1)

Thank you very much Regina, for the detailed explanation. I will fix it soon.
Comment 6 Commit Notification 2019-08-22 10:35:54 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/b50d1a42064c8333926166ec047d3467c83d2fd0%5E%21

tdf#127030 PPTX export: keep fixed size of legacy shapes

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2019-09-17 11:40:59 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: c56bf1479cc71d1a2b0639f6383e90c1f7e3655b
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Balázs Varga, thanks for fixing this issue!
Comment 8 Commit Notification 2019-09-17 13:30:50 UTC
Balazs Varga committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/3fe3588d6743c27c3734b1b4993f5155c15abe98%5E%21

tdf#127030 PPTX export: keep fixed size of legacy shapes

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.